Page MenuHomePhabricator

Consider wdio-video-reporter as a possible alternative for recording videos from wdio.conf.js
Closed, ResolvedPublic

Description

Currently, all the video recording and screenshot functionalities for our tests are provided by our custom-made wdio-mediawiki NPM package.This was primarily because older versions of WebdriverIO primarily lacked out of the box/3rd party video reporters.

However starting from WebdriverIO V5, this functionality can be implemented using the wdio-video-reporter NPM package.

The primary aim of this task is to consider wdio-video-reporter as a possible alternative for recording videos for failing tests

TODO

wdio-video-reporter v2 can be used for WebdriverIO v5
wdio-video-reporter v3 can be used for WebdriverIO v6

Event Timeline

Soham created this task.May 12 2020, 11:35 AM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptMay 12 2020, 11:35 AM
zeljkofilipin triaged this task as Medium priority.May 12 2020, 11:58 AM

Change 595925 had a related patch set uploaded (by AlQaholic007; owner: Daniel Kinzler):
[mediawiki/core@master] Earlier versions of WebdriverIO lacked support for video recording which led us to copy/paste code from wdio.conf.js of mediawiki/core to repositories that require it. However starting with WebdriverIO v5 and above, a new package wdio-video-reporter has been introduced which achieves this functionality. This commit aims to test wdio-video-reporter.

https://gerrit.wikimedia.org/r/595925

Change 595925 abandoned by AlQaholic007:
Earlier versions of WebdriverIO lacked support for video recording which led us to copy/paste code from wdio.conf.js of mediawiki/core to repositories that require it. However starting with WebdriverIO v5 and above, a new package wdio-video-reporter has been introduced which achieves this functionality. This commit aims to test wdio-video-reporter.

Reason:
Accidentally amended the previous commit leading to additional files

https://gerrit.wikimedia.org/r/595925

Change 595932 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] Earlier versions of WebdriverIO lacked support for video recording which led us to copy/paste code from wdio.conf.js of mediawiki/core to repositories that require it. However starting with WebdriverIO v5 and above, a new package wdio-video-reporter has been introduced which achieves this functionality. This commit aims to test wdio-video-reporter.

https://gerrit.wikimedia.org/r/595932

Change 595932 merged by jenkins-bot:
[mediawiki/core@master] Selenium: Use wdio-video-reporter to record videos of test run

https://gerrit.wikimedia.org/r/595932

Unfortunately, video recording only works with webdriverio v5. It doesn't work with v6. ๐Ÿ˜ข

Change 597489 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] Revert "Selenium: Use wdio-video-reporter to record videos of test run"

https://gerrit.wikimedia.org/r/597489

Change 597489 merged by jenkins-bot:
[mediawiki/core@master] Revert "Selenium: Use wdio-video-reporter to record videos of test run"

https://gerrit.wikimedia.org/r/597489

zeljkofilipin reopened this task as Open.May 20 2020, 11:02 AM
Soham updated the task description. (Show Details)Jun 11 2020, 8:08 AM
Restricted Application added a subscriber: Masumrezarock100. ยท View Herald TranscriptJun 11 2020, 8:08 AM

Change 604635 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] Selenium: Use wdio-video-reporter for recording test videos

https://gerrit.wikimedia.org/r/604635

Soham closed this task as Resolved.Jun 12 2020, 10:35 AM
Soham updated the task description. (Show Details)